using System;
using System.Text;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using Server;
using Server.Targeting;
using Server.Items;
using Server.ContextMenus;
using Server.Multis;
using Server.Spells;
using Server.Commands;
using Server.Gumps;
using Server.Mobiles;
using Server.Accounting;
using Server.Misc;
using Server.Network;

namespace Server.Engines.Help
{
    public class PagePromptGump : Gump
    {
        private Mobile m_From;
        private PageType m_Type;

        public PagePromptGump(Mobile from, PageType type): base(0, 0)
        {
            m_From = from;
            m_Type = type;

            from.CloseGump(typeof(PagePromptGump));

            #region Shadows Edge - Automated Server Staff

            #region Removed For This Edit
            /*
            AddBackground( 50, 50, 540, 350, 2600 );

			AddPage( 0 );

			AddHtmlLocalized( 264, 80, 200, 24, 1062524, false, false ); // Enter Description
			AddHtmlLocalized( 120, 108, 420, 48, 1062638, false, false ); // Please enter a brief description (up to 200 characters) of your problem:

			AddBackground( 100, 148, 440, 200, 3500 );
			AddTextEntry( 120, 168, 400, 200, 1153, 0, "" );

			AddButton( 175, 355, 2074, 2075, 1, GumpButtonType.Reply, 0 ); // Okay
			AddButton( 405, 355, 2073, 2072, 0, GumpButtonType.Reply, 0 ); // Cancel
            */
            #endregion Edited By: A.A.R

            this.Closable = true;
            this.Disposable = true;
            this.Dragable = true;
            this.Resizable = false;

            AddPage(0);
            AddBackground(161, 139, 473, 343, 9200);
            AddItem(156, 454, 6914);
            AddItem(595, 455, 6913);
            AddItem(169, 355, 6920);
            AddItem(599, 138, 6917);
            AddItem(154, 139, 6916);
            AddBackground(180, 154, 442, 289, 9390);
            AddAlphaRegion(206, 194, 390, 209);
            AddTextEntry(213, 203, 377, 192, 0, 0, @"");
            AddImage(111, 220, 10400);
            AddImage(602, 234, 10411);
            AddButton(612, 337, 22150, 22151, (int)Buttons.Button1, GumpButtonType.Reply, 0);
            AddLabel(301, 157, 695, @"WHY ARE YOU PAGING STAFF?");
            AddLabel(350, 422, 0, @"SHADOWS EDGE");
            AddButton(521, 422, 12009, 12010, (int)Buttons.Button2, GumpButtonType.Reply, 1);
            AddLabel(214, 441, 930, @"Please Enter A Description Of Your Issue In The Space Above");
            AddLabel(227, 458, 930, @"Be As Specific And To The Point As Possible. Thank You.");
        }

        public enum Buttons
        {
            Button1,
            Button2,
        }

        public override void OnResponse(NetState sender, RelayInfo info)
        {
            #region Removed For This Edit
            /*
            if ( info.ButtonID == 0 )
			{
				m_From.SendLocalizedMessage( 501235, "", 0x35 ); // Help request aborted.
			}
			else
			{
				TextRelay entry = info.GetTextEntry( 0 );
				string text = ( entry == null ? "" : entry.Text.Trim() );

				if ( text.Length == 0 )
				{
					m_From.SendMessage( 0x35, "You must enter a description." );
					m_From.SendGump( new PagePromptGump( m_From, m_Type ) );
				}
				else
				{
					m_From.SendLocalizedMessage( 501234, "", 0x35 ); /* The next available Counselor/Game Master will respond as soon as possible.
																	  * Please check your Journal for messages every few minutes.									  

					PageQueue.Enqueue( new PageEntry( m_From, text, m_Type ) );
				}
            }
            */
            #endregion Edited By: A.A.R

            Mobile from = sender.Mobile;
            Account acct = (Account)from.Account;

            switch (info.ButtonID)
            {
                case (int)Buttons.Button1:
                    {
                        m_From.SendLocalizedMessage(501235, "", 0x35); // Help request aborted.
                        break;
                    }
                         
                case (int)Buttons.Button2:
                    {  
                        TextRelay entry = info.GetTextEntry(0);
                        string text = (entry == null ? "" : entry.Text.Trim());

                        if (text.Length == 0)
                        {
                            m_From.SendMessage(0x35, "You must enter a description.");
                            m_From.SendGump(new PagePromptGump(m_From, m_Type));
                        }
                        else
                        {
                            m_From.SendLocalizedMessage(501234, "", 0x35); /* The next available Counselor/Game Master will respond as soon as possible.
																	        * Please check your Journal for messages every few minutes.
																	        */

                            PageQueue.Enqueue(new PageEntry(m_From, text, m_Type));    
                        }
                    }

                    break;

            #endregion Edited By: A.A.R

            }
        }
    }
}
