using System;
using Server;
using Server.Gumps;
using Server.Network;

namespace Server.Engines.Help
{
    public class PageResponseGump : Gump
    {
        private Mobile m_From;
        private string m_Name, m_Text;

        public PageResponseGump(Mobile from, string name, string text): base(0, 0)
        {
            m_From = from;
            m_Name = name;
            m_Text = text;

            #region Shadows Edge - Automated Server Staff

            #region Removed For This Edit
            /*
            AddBackground( 50, 25, 540, 430, 2600 );

			AddPage( 0 );

			AddHtmlLocalized( 150, 40, 360, 40, 1062610, false, false ); // <CENTER><U>Ultima Online Help Response</U></CENTER>

			AddHtml( 80, 90, 480, 290, String.Format( "{0} tells {1}: {2}", name, from.Name, text ), true, true );

			AddHtmlLocalized( 80, 390, 480, 40, 1062611, false, false ); // Clicking the OKAY button will remove the reponse you have received.
			AddButton( 400, 417, 2074, 2075, 1, GumpButtonType.Reply, 0 ); // OKAY

			AddButton( 475, 417, 2073, 2072, 0, GumpButtonType.Reply, 0 ); // CANCEL
             
            .....Under OnResponse( NetState sender, RelayInfo info )
             
            if ( info.ButtonID != 1 )
			    m_From.SendGump( new MessageSentGump( m_From, m_Name, m_Text ) );
            */
            #endregion Edited By: A.A.R

            AddPage(0);
            AddBackground(161, 153, 473, 289, 9200);
            AddItem(156, 415, 6914);
            AddItem(595, 416, 6913);
            AddItem(169, 355, 6920);
            AddItem(599, 153, 6917);
            AddItem(154, 154, 6916);
            AddBackground(196, 182, 412, 235, 9270);
            AddImage(111, 220, 10400);
            AddImage(602, 234, 10411);
            AddButton(612, 337, 22150, 22151, (int)Buttons.Button0, GumpButtonType.Reply, 0);//cancel
            AddAlphaRegion(196, 181, 411, 237);
            AddBackground(210, 196, 385, 207, 9270);
            AddLabel(304, 217, 195, @"PLAYER HELP PAGING SYSTEM");

            AddHtml(232, 243, 340, 104, String.Format("{0} tells {1}: {2}", name, from.Name, text), true, true);

            AddButton(425, 361, 4005, 4006, (int)Buttons.Button1, GumpButtonType.Reply, 1);//Is Resolved
            AddButton(238, 361, 4005, 4006, (int)Buttons.Button2, GumpButtonType.Reply, 2);//Not Resolved
            AddLabel(275, 362, 232, @"Issue Is Not Resolved");
            AddLabel(462, 362, 232, @"Issue Is Resolved");
            AddLabel(207, 420, 930, @"Clicking The 'Issue Is Resolved' Button Will Remove Your Page");
        }

        public enum Buttons
        {
            Button0,
            Button1,
            Button2,
        }

        public override void OnResponse(NetState sender, RelayInfo info)
        {
            Mobile from = sender.Mobile;

            switch (info.ButtonID)
            {
                case (int)Buttons.Button0:
                    {
                        from.CloseGump(typeof(Server.Engines.Help.PageResponseGump));
                        m_From.SendLocalizedMessage(501235, "", 0x35); // Help request aborted.
                        break;
                    }
                case (int)Buttons.Button1:
                    {
                        m_From.SendGump(new MessageSentGump(m_From, m_Name, m_Text));
                        from.SendMessage("Your Page Has Been Handled");
                        from.CloseGump(typeof(Server.Engines.Help.MessageSentGump));
                        from.SendGump(new Server.Engines.Help.QualityAssurance(from));
                        break;
                    }
                case (int)Buttons.Button2:
                    {
                        from.SendGump(new PagePromptGump(from, PageType.IssueIsNotResolved));
                        break;
                    }
            }
        }

            #endregion Edited By: A.A.R
    }
}
